View Issue Details

IDProjectCategoryView StatusLast Update
0000982HTML & PERLBug Report - Interfacepublic2008-03-29 20:05
Reporterpolariser Assigned ToDerIdiot  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000982: Latest reviews: links to reviews on pages > 1 do not work
DescriptionThe latest reviews section links directly to the particular review on the review page for an anime. However, if the review being clicked resides on pages greater than 1, then the link is essentially invalid as it does not take page numbers in question.

For e.g., a recent planetes review is being linked to as follows:
http://anidb.net/perl-bin/animedb.pl?show=animeatt&aid=895#5860

It should instead be:
http://anidb.net/perl-bin/animedb.pl?aid=895&show=animeatt&page=1#r5860

This also applies to the actual review as well where a link to itself is also displayed.
Tagsreview

Activities

polariser

2008-03-12 12:57

reporter   ~0001824

This does not appear to have been fixed. For e.g., http://anidb.net/perl-bin/animedb.pl?show=animeatt&aid=4892#r5305 is a review that is on page 2, yet the shortcut on the review page does not include this variable. Also, the latest additions section uses #5305 rather than #r5305.

It is also a little confusing how the reviews on the review page are organised. While it largely appears to be based on approval ratings, unrated reviews seem to be a little haphazard. For e.g., http://anidb.net/perl-bin/animedb.pl?show=animeatt&aid=4892#r5305 is listed on page 2 whereas http://anidb.net/perl-bin/animedb.pl?show=animeatt&aid=4892#r5875 is listed on page 1 even though both of them are unrated.

epoximator

2008-03-12 13:58

reporter   ~0001828

it should link directly to the review, ie.: http://anidb.net/perl-bin/animedb.pl?show=animeatt&aid=5186&attid=5882

however, i only fixed it for latest-reviews, forgot the news page

nwa

2008-03-29 19:57

administrator   ~0001880

the links from numbers still only use anchors instead of direct links

DerIdiot

2008-03-29 20:05

administrator   ~0001881

REFIXED!

Issue History

Date Modified Username Field Change
2008-03-01 07:09 polariser New Issue
2008-03-02 13:29 epoximator Status new => assigned
2008-03-02 13:29 epoximator Assigned To => epoximator
2008-03-10 07:35 epoximator Status assigned => resolved
2008-03-10 07:35 epoximator Resolution open => fixed
2008-03-12 12:57 polariser Status resolved => feedback
2008-03-12 12:57 polariser Resolution fixed => reopened
2008-03-12 12:57 polariser Note Added: 0001824
2008-03-12 13:58 epoximator Note Added: 0001828
2008-03-13 06:54 epoximator Status feedback => resolved
2008-03-13 06:54 epoximator Resolution reopened => fixed
2008-03-13 20:38 ninjamask Tag Attached: review
2008-03-29 19:57 nwa Assigned To epoximator => DerIdiot
2008-03-29 19:57 nwa Status resolved => feedback
2008-03-29 19:57 nwa Resolution fixed => reopened
2008-03-29 19:57 nwa Note Added: 0001880
2008-03-29 20:05 DerIdiot Status feedback => resolved
2008-03-29 20:05 DerIdiot Resolution reopened => fixed
2008-03-29 20:05 DerIdiot Note Added: 0001881